# Copyright 2022-2024 MosaicML Streaming authors
# SPDX-License-Identifier: Apache-2.0

"""Base module for downloading/uploading files from/to cloud storage."""
# isort: off
from streaming.base.storage.download import (
    download_file, download_from_alipan, download_from_azure, download_from_azure_datalake,
    download_from_databricks_unity_catalog, download_from_dbfs, download_from_gcs,
    download_from_hf, download_from_local, download_from_oci, download_from_s3, download_from_sftp, download_from_zg)
from streaming.base.storage.upload import (AzureDataLakeUploader, AzureUploader, CloudUploader,
                                           GCSUploader, HFUploader, LocalUploader, OCIUploader,
                                           S3Uploader, ZGUploader)

__all__ = [
    'download_file',
    'CloudUploader',
    'S3Uploader',
    'GCSUploader',
    'OCIUploader',
    'LocalUploader',
    'AzureUploader',
    'AzureDataLakeUploader',
    'HFUploader',
    'ZGUploader',
    'download_from_s3',
    'download_from_sftp',
    'download_from_gcs',
    'download_from_oci',
    'download_from_azure',
    'download_from_azure_datalake',
    'download_from_databricks_unity_catalog',
    'download_from_dbfs',
    'download_from_alipan',
    'download_from_local',
    'download_from_hf',
    'download_from_zg',
]
